## python-ovoenergy 2.0.0

=== requirements.txt ===
aiohttp>=3.7.3
click>=7.1.2

=== debian/changelog ===
python-ovoenergy (2.0.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 16:43:03 +0900

python-ovoenergy (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1077243)

 -- Edward Betts <edward@4angle.com>  Sat, 27 Jul 2024 17:53:37 +0900

=== debian/control ===
Source: python-ovoenergy
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-click <!nocheck>,
               python3-aiohttp <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/timmo001/ovoenergy
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/PACKAGE
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/PACKAGE.git

Package: python3-ovoenergy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Retrieve energy data from OVO's API
 This Python module allows users to retrieve energy data from OVO's API. It
 provides straightforward methods for accessing various energy metrics and
 related information. Users can easily interact with the API to obtain detailed
 energy usage statistics and other relevant data. The module simplifies the
 process of making API requests and handling responses, making it easier to
 integrate OVO energy data into custom applications.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ovoenergy

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf ovoenergy.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-ovoenergy-$1\.tar\.gz/ \
  https://github.com/timmo001/ovoenergy/tags .*/v?(\d\S+)\.tar\.gz

## python-ovoenergy 2.0.1

=== requirements.txt ===
aiohttp>=3.8.5;python_version<'3.12'
aiohttp>=3.9.0b0;python_version>='3.12'
typer>=0.6.1

=== debian/changelog ===
python-ovoenergy (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Upstream changed the license from Expat to Apache.
  * Update copyright year.
  * Update Standards-Version.
  * Switch to autopkgtest-pkg-pybuild.
  * Move packages required for tests to Build-Depends-Indep.
  * Add new build dependencies required for tests.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Fri, 20 Jun 2025 11:08:29 +0100

=== debian/control ===
Source: python-ovoenergy
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pip,
 python3-setuptools,
Build-Depends-Indep:
 python3-aioazuredevops <!nocheck>,
 python3-aiohttp <!nocheck>,
 python3-aioresponses <!nocheck>,
 python3-click <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-aiohttp <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-socket <!nocheck>,
 python3-pytest-sugar <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-syrupy <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/timmo001/ovoenergy
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/PACKAGE
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/PACKAGE.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-ovoenergy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Retrieve energy data from OVO's API
 This Python module allows users to retrieve energy data from OVO's API. It
 provides straightforward methods for accessing various energy metrics and
 related information. Users can easily interact with the API to obtain detailed
 energy usage statistics and other relevant data. The module simplifies the
 process of making API requests and handling responses, making it easier to
 integrate OVO energy data into custom applications.

=== debian/watch ===
version=4
https://github.com/timmo001/ovoenergy/tags .*/v?(\d\S+)\.tar\.gz

## python-ovoenergy 3.0.2

=== requirements.txt ===
aiohttp>=3.8.5;python_version<'3.12'
aiohttp>=3.9.0b0;python_version>='3.12'
typer>=0.6.1
PyJWT>=2.0.0

=== debian/changelog ===
python-ovoenergy (3.0.2-2) unstable; urgency=medium

  * Add pybuild-plugin-pyproject to Build-Depends (Closes: #1116868).

 -- Edward Betts <edward@4angle.com>  Mon, 06 Oct 2025 20:04:55 +0100

python-ovoenergy (3.0.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #1086895, #1116868)
  * Upstream added a dependency on PyJWT.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Fri, 03 Oct 2025 10:48:53 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-pip,
  python3-setuptools,
@@ -15,6 +16,7 @@
  python3-aiohttp <!nocheck>,
  python3-aioresponses <!nocheck>,
  python3-click <!nocheck>,
+ python3-jwt <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-aiohttp <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
@@ -23,7 +25,6 @@
  python3-pytest-sugar <!nocheck>,
  python3-pytest-timeout <!nocheck>,
  python3-syrupy <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/timmo001/ovoenergy
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/PACKAGE

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=$(CURDIR) dh_auto_test

=== debian/watch ===
Version: 5

Template: Github
Owner: timmo001
Project: ovoenergy
